Get billing catalog
curl --request GET \
--url https://api.youka.io/api/v1/billing/catalog \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.youka.io/api/v1/billing/catalog"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.youka.io/api/v1/billing/catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"unitCredits": 123,
"quantity": {
"min": 123,
"max": 123
},
"hasActiveSubscription": true,
"planQuantities": [
{
"enabled": true,
"currentQuantity": 123,
"cycle": "monthly",
"provider": "stripe"
}
],
"subscription": {
"monthly": {
"unitPriceCents": 4503599627370495,
"unitPriceFormatted": "<string>",
"priceExperiment": {
"key": "<string>",
"variant": "control",
"unitPriceCents": 4503599627370495
}
},
"yearly": {
"unitPriceCents": 4503599627370495,
"unitPriceFormatted": "<string>",
"monthlyEquivalentCents": 4503599627370495,
"monthlyEquivalentFormatted": "<string>",
"yearlyTotalCents": 4503599627370495,
"yearlyTotalFormatted": "<string>"
}
},
"topup": {
"enabled": true,
"eligible": true,
"unitPriceCents": 4503599627370495,
"unitPriceFormatted": "<string>"
},
"planQuantity": {
"enabled": true,
"currentQuantity": 4503599627370495,
"cycle": "monthly",
"provider": "stripe"
},
"storage": {
"perSubscriptionUnitGb": 4503599627370495,
"topupAddsStorage": true
}
}Billing
Get billing catalog
GET
/
billing
/
catalog
Get billing catalog
인증
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
응답
200 - application/json
Billing catalog
필수 범위:
x <= 9007199254740991Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
이 페이지가 도움이 되었나요?
⌘I
